'Compilable Example:
#Compiler PBWin 10
#Compile Exe "gbnewappplus.exe"
#Dim All
%Unicode = 1
#Include "win32api.inc"
#Resource Icon logo, "images\gbnewappplus.ico"

$ver          = "1.0"
$counterfile  = "files\counter.txt"           '<-- useful to keep from overwriting previous new app files
$templatefile = "files\gblittletemplate.bas"          '<-- content will be put in newapp file
$newappfile   = "tempfiles\gbnewapp"         '<-- file that is sent to IDE
$IDE          = "c:\pbwin10\bin\pbedit.exe "  '<-- note the extra space

Function PBMain() As Long
   Local iCount,iResult As Long, temp$

   'get counter, increment it, save it back to file
   Open Exe.Path$ + $counterfile For Input As #1 : Line Input #1, temp$ : Close #1
   iCount = Val(temp$) : Incr iCount
   Open Exe.Path$ + $counterfile For Output As #1 : Print #1, Str$(iCount) : Close #1

   'create new file
   FileCopy  Exe.Path$ + $templatefile, Exe.Path$ + $newappfile + LTrim$(Str$(iCount)) + ".bas"

   'open new file in IDE
   iResult = Shell($IDE + Exe.Path$ + $newappfile + LTrim$(Str$(iCount)) + ".bas") '<-- does not overwrite previous newapps
'  iResult = Shell($IDE + Exe.Path$ + $newappfile + ".bas")  '<--- use this to overwrite newapp each time
End Function
